package com.hzya.frame;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.plugin.mdmDistribute.plugin.MdmModulePluginInitializer;
import com.hzya.frame.plugin.seeyonExt.plugin.SeeyonExtPluginInitializer;
import com.hzya.frame.util.AESUtil;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

/**
 * @ClassName dsasas
 * @Description
 * @Author llg
 * Date 2023/7/16 8:18 上午
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {WebappApplication.class})
public class temButtom {

    @Resource
    SeeyonExtPluginInitializer seeyonExtPluginInitializer;
    @Resource
    MdmModulePluginInitializer mdmModulePluginInitializer;
    @Test
    public void seeyonExtTest(){
        JSONObject jsonStr = new JSONObject();
        jsonStr.put("integration_task_living_details_id","4276973516873482804");
        JSONObject requestJson = new JSONObject();
        requestJson.put("jsonStr", JSON.toJSONString(jsonStr));
        try {
            seeyonExtPluginInitializer.executeBusiness(requestJson);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    @Test
    public void mdm(){
        JSONObject jsonStr = new JSONObject();
        jsonStr.put("integration_task_living_details_id","123123123123");
        try {
            mdmModulePluginInitializer.executeBusiness(jsonStr);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    @Test
    public void test01() {
        String a = AESUtil.encrypt("hzya@1314");
        System.out.println(a);
        String b = AESUtil.decrypt("62e4295b615a30dbf3b8ee96f41c820b");
        System.out.println(b);
    }




}
